Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package html
  Definition Classes
    doc
-  package page
  Definition Classes
    html
-  package diagram
  Definition Classes
    page
- DiagramGenerator
- DiagramStats
- DotDiagramGenerator
- DotProcess
- DotRunner

c

scala.tools.nsc.doc.html.page.diagram

# DotProcess 

###

#### class DotProcess extends AnyRef

Source
  DotRunner.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DotProcess
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DotProcess(settings: Settings)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DotProcess to any2stringadd[DotProcess] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DotProcess, B)
   Implicit
     This member is added by an implicit conversion from DotProcess to ArrowAssoc[DotProcess] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def cleanup(): Unit
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (DotProcess) ⇒ Boolean, msg: ⇒ Any): DotProcess
   Implicit
     This member is added by an implicit conversion from DotProcess to Ensuring[DotProcess] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (DotProcess) ⇒ Boolean): DotProcess
    Implicit
      This member is added by an implicit conversion from DotProcess to Ensuring[DotProcess] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): DotProcess
    Implicit
      This member is added by an implicit conversion from DotProcess to Ensuring[DotProcess] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): DotProcess
    Implicit
      This member is added by an implicit conversion from DotProcess to Ensuring[DotProcess] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  var error: Boolean
16.  val errorBuffer: StringBuffer
17.  def feedToDot(input: String, template: String): String
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DotProcess to StringFormat[DotProcess] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  val inputString: SyncVar[String]
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
27.  val outputString: SyncVar[String]
28.  var process: Process
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  var templateInput: String
31.  var templateName: String
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  def →[B](y: B): (DotProcess, B)
    Implicit
      This member is added by an implicit conversion from DotProcess to ArrowAssoc[DotProcess] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DotProcess to any2stringadd[DotProcess]

### Inherited by implicit conversion StringFormat from DotProcess to StringFormat[DotProcess]

### Inherited by implicit conversion Ensuring from DotProcess to Ensuring[DotProcess]

### Inherited by implicit conversion ArrowAssoc from DotProcess to ArrowAssoc[DotProcess]

### Ungrouped